import { jsx } from "react/jsx-runtime";
import { PintGlass as PintGlass$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const PintGlass = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "PintGlass", ...props, children: /* @__PURE__ */ jsx(PintGlass$1, { weight: variant }) });
  }
);
PintGlass.displayName = "PintGlass";
Object.assign(PintGlass, { isGdsIcon: true });
export {
  PintGlass
};
